Bug 100385 - FORMATTING: INCOMPATIBILITY, libOffice Calc cannot show full excel file
Summary: FORMATTING: INCOMPATIBILITY, libOffice Calc cannot show full excel file
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.3.7.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: XLS
  Show dependency treegraph
 
Reported: 2016-06-15 01:30 UTC by walkerlala
Modified: 2018-06-17 19:26 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
The file that cause incompatibility (6.89 MB, application/zip)
2016-06-15 01:30 UTC, walkerlala
Details

Note You need to log in before you can comment on or make changes to this bug.
Description walkerlala 2016-06-15 01:30:45 UTC
Created attachment 125658 [details]
The file that cause incompatibility

I have had a file which I created using a python program with the "xlwt" module. I write the content in a "test.xls" file and the open it with Microsoft Excel and everything works fine. But when I open it using Liboffice Calc, some columns are missing.
    I don't know the format of a Excel file. Maybe you guys can look into the attachment I provide and find the incompatibility problem.
Comment 1 lorenzo.morin 2016-06-15 11:08:46 UTC
Confirmed on:
LibreOffice Version: 5.1.3.2
Build ID: 644e4637d1d8544fd9f56425bd6cec110e49301b
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
Locale: it-IT (it_IT)

Versione: 5.1.3.2
Build ID: 10m0(Build:2)
Thread CPU: 2; Versione SO: Linux 4.1; Resa interfaccia: predefinito; 
Versione locale: it-IT (it_IT.UTF-8)

Versione: 5.0.6.3
Build ID: 490fc03b25318460cfc54456516ea2519c11d1aa
Versione locale: it-IT (it_IT.UTF-8)

Versione: 5.1.3.2
Build ID: 644e4637d1d8544fd9f56425bd6cec110e49301b
Thread CPU: 2; Versione SO: Linux 4.1; Resa interfaccia: predefinito; 
Versione locale: it-IT (it_IT.UTF-8)

Versione: 4.4.7.2
Build ID: f3153a8b245191196a4b6b9abd1d0da16eead600
Versione locale: it_IT.UTF-8

Versione: 4.3.7.2
Build ID: 8a35821d8636a03b8bf4e15b48f59794652c68ba

The file works fine with:
Office 365
Version: 16.0.6965.2053
OS: Windows 7 Home Premium SP1 x86

workaround:
You can fix the problem by changing the text color in the calc file.
Comment 2 QA Administrators 2017-09-01 11:19:05 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.4.1 or 5.3.6  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170901